'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
class SdkError extends Error {
    constructor(message, code) {
        super(message);
        this.statusCode = code;
        Object.setPrototypeOf(this, SdkError.prototype);
    }
    get code() {
        return this.statusCode;
    }
}
exports.SdkError = SdkError;
//# sourceMappingURL=errors.js.map