'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const middleware_1 = require("./middleware");
exports.throttlingConfigValidatorSchema = Joi.object().keys({
    delay: Joi.alternatives([Joi.string(), Joi.number().positive()]),
    delayAfter: Joi.number(),
    handler: middleware_1.middlewareConfigValidatorSchema,
    headers: Joi.boolean(),
    keyGenerator: middleware_1.middlewareConfigValidatorSchema,
    max: Joi.number(),
    message: Joi.string(),
    skip: middleware_1.middlewareConfigValidatorSchema,
    statusCode: Joi.number(),
    timeWindow: Joi.alternatives([Joi.string(), Joi.number().positive()])
});
exports.apiThrottlingConfigValidatorSchema = exports.throttlingConfigValidatorSchema.keys({
    group: Joi.alternatives([Joi.array().items(Joi.string()), Joi.string()]),
    use: Joi.string()
});
//# sourceMappingURL=throttling.js.map