/// <reference types="ioredis" />
import * as Redis from 'ioredis';
export declare class Database {
    static GATEWAY_VERSION_KEY: string;
    static UPDATING: string;
    private config;
    private client;
    private events;
    constructor();
    readonly redisClient: Redis.Redis;
    readonly redisEvents: Redis.Redis;
    disconnect(): void;
    registerGatewayVersion(): Promise<void>;
    getGatewayVersion(): Promise<string>;
    startGatewayUpdate(): Promise<string>;
    private initializeRedis(config);
}
