/// <reference types="express" />
/// <reference types="cors" />
import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiCorsConfig } from '../../config/cors';
import { ApiPipelineConfig } from '../../config/gateway';
import * as corsLib from 'cors';
export declare class ApiCors {
    private logger;
    private middlewareLoader;
    cors(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    configureCorsOptions(cors: ApiCorsConfig): corsLib.CorsOptions;
    private resolveReferences(cors, pipelineConfig);
    private setupMiddlewares(apiRouter, corsInfos);
    private buildMiddleware(corsInfo);
    private sortMiddlewares(corsConfigs, path);
}
