import { HttpError, Errors } from 'typescript-rest';
export declare class UnauthorizedError extends Errors.UnauthorizedError {
    constructor(message?: string);
}
export declare class NotFoundError extends Errors.NotFoundError {
    constructor(message?: string);
}
export declare class UnavailableError extends Error {
    statusCode: number;
    constructor(message: string);
}
export declare class ProxyError extends HttpError {
    constructor(message: string, statusCode: number);
}
