import { ApiConfig } from '../config/api';
export declare abstract class ApiService {
    abstract list(name?: string, version?: string, description?: string, path?: string): Promise<Array<ApiConfig>>;
    abstract create(api: ApiConfig): Promise<string>;
    abstract update(api: ApiConfig, upsert?: boolean): Promise<void>;
    abstract remove(id: string): Promise<void>;
    abstract get(id: string): Promise<ApiConfig>;
}
