/// <reference types="node" />
import { EventEmitter } from 'events';
import { PluginsDataService } from '../plugin-data';
export declare class RedisPluginsDataService extends EventEmitter implements PluginsDataService {
    private static PREFIX;
    private logger;
    private database;
    listConfigurationItems(configKey: string): Promise<Array<string>>;
    addConfigurationItem(configKey: string, value: string): Promise<void>;
    watchConfigurationItems(configKey: string, interval: number): NodeJS.Timer;
    stopWatchingConfigurationItems(watcherKey: NodeJS.Timer): void;
    private checkConfigurationItens(configKey);
}
