export declare class MiddlewareInstaller {
    private types;
    private service;
    private logger;
    private config;
    installAll(): Promise<void>;
    install(type: string, name: string): Promise<void>;
    uninstall(type: string, name: string): Promise<void>;
    removeModuleCache(type: string, name: string): void;
    private installAllOfType(type);
    private saveFile(filePath, content);
    private getPath(type, name);
    private getModuleName(type, name);
}
