'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
function normalizePath(path) {
    if (!path) {
        return path;
    }
    const negate = _.startsWith(path, '!');
    if (negate) {
        path = path.substring(1);
    }
    path = ((_.startsWith(path, '/')) ? path : '/' + path);
    path = ((_.endsWith(path, '/')) ? path.slice(0, -1) : path);
    if (negate) {
        path = `!${path}`;
    }
    return path;
}
exports.normalizePath = normalizePath;
//# sourceMappingURL=path.js.map