import { Return } from 'typescript-rest';
import { ApiConfig } from '../../config/api';
export declare class APIRest {
    private service;
    private config;
    list(name?: string, version?: string, description?: string, path?: string): Promise<Array<ApiConfig>>;
    addApi(api: ApiConfig): Promise<Return.NewResource<void>>;
    updateApi(id: string, api: ApiConfig): Promise<void>;
    removeApi(id: string): Promise<void>;
    getApi(id: string): Promise<ApiConfig>;
}
