'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_rest_1 = require("typescript-rest");
const config_package_1 = require("../../config/config-package");
const config_package_2 = require("../../service/config-package");
const typescript_ioc_1 = require("typescript-ioc");
const swagger = require("typescript-rest-swagger");
let ConfigPackageRest = class ConfigPackageRest {
    async set(config) {
        await config_package_1.validateConfigPackage(config);
        await this.service.set(config);
    }
    async get() {
        return await this.service.get();
    }
};
__decorate([
    typescript_ioc_1.Inject,
    __metadata("design:type", config_package_2.ConfigPackageService)
], ConfigPackageRest.prototype, "service", void 0);
__decorate([
    typescript_rest_1.POST,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], ConfigPackageRest.prototype, "set", null);
__decorate([
    typescript_rest_1.GET,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], ConfigPackageRest.prototype, "get", null);
ConfigPackageRest = __decorate([
    typescript_rest_1.Path('config'),
    swagger.Tags('Config'),
    swagger.Security('Bearer')
], ConfigPackageRest);
exports.ConfigPackageRest = ConfigPackageRest;
//# sourceMappingURL=config-package.js.map