import { GatewayConfig } from '../../config/gateway';
export interface Gateway {
    updateConfig(config: GatewayConfig): Promise<void>;
    removeConfig(): Promise<void>;
    getConfig(): Promise<GatewayConfig>;
}
export declare class GatewayClient implements Gateway {
    private swaggerClient;
    constructor(swaggerClient: any);
    updateConfig(config: GatewayConfig): Promise<void>;
    removeConfig(): Promise<void>;
    getConfig(): Promise<GatewayConfig>;
}
