import { UserData } from '../../config/users';
export interface Users {
    list(filters: any): Promise<Array<UserData>>;
    addUser(user: UserData): Promise<string>;
    updateUser(login: string, user: UserData): Promise<void>;
    removeUser(login: string): Promise<void>;
    getUser(login: string): Promise<UserData>;
    changeUserPassword(login: string, password: string): Promise<void>;
}
export declare class UsersClient implements Users {
    private swaggerClient;
    constructor(swaggerClient: any);
    list(filters: any): Promise<Array<UserData>>;
    addUser(user: UserData): Promise<string>;
    updateUser(login: string, user: UserData): Promise<void>;
    removeUser(login: string): Promise<void>;
    getUser(login: string): Promise<UserData>;
    changeUserPassword(login: string, password: string): Promise<void>;
}
