'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = require("joi");
const middleware_1 = require("./middleware");
exports.apiFilterSchema = Joi.object().keys({
    group: Joi.alternatives([Joi.array().items(Joi.string()), Joi.string()]),
    middleware: middleware_1.middlewareConfigValidatorSchema,
    use: Joi.string()
}).xor('middleware', 'use');
//# sourceMappingURL=filter.js.map