import * as Joi from 'joi';
export interface ProtocolConfig {
    http?: HttpConfig;
    https?: HttpsConfig;
}
export interface HttpConfig {
    /**
     * The listen port
     */
    listenPort: string | number;
}
export interface HttpsConfig {
    /**
     * The listn port
     */
    listenPort: string | number;
    /**
     * Path to the private key file.
     */
    privateKey: string;
    /**
     * Path to the certificate file.
     */
    certificate: string;
}
export declare let protocolConfigSchema: Joi.ObjectSchema;
