import * as Winston from 'winston';
import { LogLevel } from './config/logger';
export declare class Logger {
    level: LogLevel;
    winston: Winston.LoggerInstance;
    private config;
    constructor();
    private instantiateLogger(config);
    isDebugEnabled(): boolean;
    isInfoEnabled(): boolean;
    isWarnEnabled(): boolean;
    isErrorEnabled(): boolean;
    debug(...args: any[]): void;
    info(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
    inspectObject(object: any): void;
}
