/// <reference types="express" />
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
import * as express from 'express';
export declare class ApiAuth {
    private logger;
    private middlewareLoader;
    private requestLogger;
    authentication(apiRouter: express.Router, apiKey: string, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    private resolveReferences(authentication, pipelineConfig);
    private createAuthenticator(apiRouter, api, authentication, authenticator);
    private createAuthenticatorForGroup(apiRouter, api, authentication, authenticator);
    private sortMiddlewares(middlewares, path);
}
