/// <reference types="express" />
import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
export declare class ApiCache {
    private logger;
    private requestLogger;
    cache(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    private configureCache(apiRouter, api, pipelineConfig);
    private resolveReferences(cache, pipelineConfig);
    private buildCacheMiddleware(validateGroupFunction, cache, path, api);
    private useCache(api);
    private sortCaches(caches, path);
}
