'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const xml2js = require("xml2js");
module.exports = function (config) {
    const parser = new xml2js.Parser(config || {});
    return (body, headers, request) => {
        return new Promise((resolve, reject) => {
            parser.parseString(body, (err, data) => {
                if (err) {
                    return reject(err);
                }
                resolve({ body: data });
            });
        });
    };
};
module.exports.factory = true;
//# sourceMappingURL=responseXml.js.map