export interface Options {
    path: string;
    id?: string;
    expire?: number;
    prefix?: string;
}
export declare class RedisStore {
    options: Options;
    private database;
    constructor(options: Options);
    incr(key: string, cb: any): void;
    resetKey(key: string): void;
    private getRedisKey(key);
}
